@echo on
:=== Parameters ===

python get_version.py addon.xml >version.txt
set /p ver=<version.txt
echo %ver%

set prog=PlayStream
set pack_name=plugin.video.playstream
set desc=Play online streams from various sources, mostly Latvian

set ipk_dir=ipkg\
set release_dir=release\
set repo_dir=..\repo\
set feed_dir=w:\repo\

set AR=\MinGW\bin\ar.exe
set TAR=\MinGW\msys\1.0\bin\tar.exe
rem set ZIP=\Program Files (x86)\Gow\bin\zip.exe

:=== data files ===
if exist "%pack_name%" rm -r -f "%pack_name%"
mkdir "%pack_name%""
if not exist %release_dir% mkdir %release_dir%
if not exist %repo_dir% mkdir %repo_dir%
if not exist  %repo_dir%%pack_name% mkdir  %repo_dir%%pack_name%


for %%f in (
readme.md
changelog.md
addon.xml
addon.py
context_menu.py
icon.png
kodiswift\*.py
resources\__init__.py
resources\settings.xml
resources\icon.png
resources\language\English\*
resources\lib\__init__.py
resources\lib\ContentSources.py
resources\lib\resolver.py
resources\lib\util.py
resources\lib\demjson.py
resources\lib\ordereddict.py
resources\lib\sources\__init__.py
resources\lib\sources\SourceBase.py
resources\lib\sources\cinemalive.py
resources\lib\sources\config.py
resources\lib\sources\euronews.py
resources\lib\sources\filmix.py
resources\lib\sources\filmon.py
resources\lib\sources\iplayer.py
resources\lib\sources\movieplace.py
resources\lib\sources\ltc.py
resources\lib\sources\mtgplay.py
resources\lib\sources\play24.py
resources\lib\sources\replay.py
resources\lib\sources\serialguru.py
resources\lib\sources\tvdom.py
resources\lib\sources\ustvnow.py
resources\lib\sources\viaplay.py
resources\lib\sources\viaplay.py
resources\lib\sources\YouTubeVideoUrl.py
resources\lib\sources\jsinterp.py
resources\lib\sources\swfinterp.py
resources\lib\sources\streams.cfg
resources\lib\resolvers\__init__.py
resources\lib\resolvers\aadecode.py
resources\lib\resolvers\hqqresolver.py
resources\lib\resolvers\openload3.py
resources\lib\resolvers\hdgo.py
resources\lib\resolvers\kapnob.py
resources\lib\resolvers\kodik.py
resources\lib\resolvers\youtuberesolver.py
) do echo f| xcopy %%f %pack_name%\%%f

if exist  %release_dir%%pack_name%-%ver%.zip rm %release_dir%%pack_name%-%ver%.zip
rem zip  -r %release_dir%%pack_name%-%ver%.zip %pack_name%
"C:\Program Files\WinRAR\winrar.exe" a -afzip -r %release_dir%%pack_name%-%ver%.zip %pack_name%
copy  addon.xml  %repo_dir%%pack_name%\addon.xml /Y
copy  %release_dir%%pack_name%-%ver%.zip  %repo_dir%%pack_name%\%pack_name%-%ver%.zip /Y
python -c "import hashlib; print hashlib.md5(open(r'%repo_dir%%pack_name%\%pack_name%-%ver%.zip','r').read()).hexdigest()" >%repo_dir%%pack_name%\%pack_name%-%ver%.zip.md5

git add %release_dir%%pack_name%-%ver%.zip

pushd  %repo_dir%..
call update_repo.bat
xcopy /s /y repo %feed_dir%
popd
pause

